#!/bin/env bash

if [ "$1" != "esp32" ] && [ "$1" != "esp32s3" ] && [ "$1" != "esp32c3" ]
then
      >&2 echo "First arg should be esp32, esp32c3 or esp32s3"
      exit 1
fi

if [ -z "$IDF_PATH" ]
then
      >&2 echo "\$IDF_PATH is NULL"
      exit 1
fi

set -e

# Build
. $IDF_PATH/export.sh > /dev/null 2>&1
idf.py set-target $1
idf.py build

rm build/bootloader/CMakeFiles/*/CMakeDetermineCompilerABI_CXX.bin
rm build/bootloader/CMakeFiles/*/CMakeDetermineCompilerABI_C.bin
rm build/bootloader/CMakeFiles/CheckTypeSize/TIME_T_SIZE.bin
rm build/bootloader/CMakeFiles/*/CompilerIdC/a.out
rm build/bootloader/CMakeFiles/*/CompilerIdCXX/a.out
rm build/bootloader/bootloader.elf
rm build/CMakeFiles/*/CMakeDetermineCompilerABI_CXX.bin
rm build/CMakeFiles/*/CMakeDetermineCompilerABI_C.bin
rm build/CMakeFiles/*/CompilerIdC/a.out
rm build/CMakeFiles/*/CompilerIdCXX/a.out
rm build/CMakeFiles/CheckTypeSize/TIME_T_SIZE.bin
rm build/bootloader/project_elf_src_$1.c
rm build/project_elf_src_$1.c

if [ "$1" = "esp32s3" ]
then
    rm build/CMakeFiles/*/CompilerIdC/CMakeCCompilerId.c
    rm build/esp-idf/mbedtls/mbedtls/library/psa_crypto_driver_wrappers.c
    rm build/esp-idf/mbedtls/mbedtls/library/error.c
    rm build/esp-idf/mbedtls/mbedtls/library/ssl_debug_helpers_generated.c
    rm build/esp-idf/mbedtls/mbedtls/library/version_features.c
    rm build/bootloader/CMakeFiles/*/CompilerIdC/CMakeCCompilerId.c
fi

cd ..
